CUDA_RESOURCE_DESC(3)

NAME
CUDA_RESOURCE_DESC -

SYNOPSIS

  Data Fields

CUresourcetype resType
CUmipmappedArray hMipmappedArray
unsigned int numChannels
size_t pitchInBytes
size_t sizeInBytes

Detailed Description

CUDA Resource descriptor

Field Documentation

  CUmipmappedArray CUDA_RESOURCE_DESC::hMipmappedArray

CUDA mipmapped array

  unsigned int CUDA_RESOURCE_DESC::numChannels

Channels per array element

  size_t CUDA_RESOURCE_DESC::pitchInBytes

Pitch between two rows in bytes

  CUresourcetype CUDA_RESOURCE_DESC::resType

Resource type

  size_t CUDA_RESOURCE_DESC::sizeInBytes

Size in bytes

Author

Generated automatically by Doxygen from the source code.